"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const guards_1 = require("../guards");
const fs_1 = require("./fs");
exports.PROJECT_FILE = 'ionic.config.json';
async function readProjectFile(ctx) {
    try {
        const f = await fs_1.fsReadFile(path.resolve(ctx.codedir, exports.PROJECT_FILE), { encoding: 'utf8' });
        const o = JSON.parse(f);
        if (!guards_1.isProjectFile(o)) {
            throw new Error(`Invalid format in ${exports.PROJECT_FILE}.`);
        }
        return o;
    }
    catch (e) {
        if (e.code === 'ENOENT') {
            throw new Error(`Missing ${exports.PROJECT_FILE} in app.`);
        }
        else if (e instanceof SyntaxError) {
            throw new Error(`Invalid JSON in ${exports.PROJECT_FILE}.`);
        }
        throw e;
    }
}
exports.readProjectFile = readProjectFile;
